From f72f550b8f5643cc329e3ff3de261b4b10547ef6 Mon Sep 17 00:00:00 2001
Message-Id: <f72f550b8f5643cc329e3ff3de261b4b10547ef6.1734731968.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Fri, 20 Dec 2024 21:58:56 +0000
Subject: [PATCH] gnu: Add julia-compositionsbase.

* gnu/packages/julia-xyz.scm (julia-compositionsbase): New variable.

Change-Id: Ia9da8f250c61c53b605a98684be2c3ed1e139cd2
---
 gnu/packages/julia-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index be2501a934..19d8e02f64 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -1292,6 +1292,28 @@ (define-public julia-compat
 way.")
     (license license:expat)))
 
+(define-public julia-compositionsbases
+  (package
+    (name "julia-compositionsbase")
+    (version "0.1.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaFunctional/CompositionsBase.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "11cfmc0rv0i8j6l7v59k4b367xx006nsxy9lkmqlzikc679zzzwa"))))
+    (build-system julia-build-system)
+    (native-inputs (list julia-documenter))
+    (propagated-inputs (list julia-inversefunctions))
+    (home-page "https://github.com/JuliaFunctional/CompositionsBase.jl")
+    (synopsis "Defines an operator for composition of morphisms")
+    (description "This package defines a new operator for composition
+of morphisms.")
+    (license license:expat)))
+
 (define-public julia-configurations
   (package
     (name "julia-configurations")

base-commit: 63d50e2fe587752d6b21181a69493304d3a78a97
-- 
2.34.1

